All Resources All filters

# ServletDirectory

The ServletDirectory is the only possible container for servlets that uses a ServletContext. That is, all ServletWrapper instances should be children of an instance of that resource.

As it is a sub-class of the DirectoryResource, this resource also acts as a normal file system directory exporter.

## Inherits

The ServletDirectory class inherits from the following classes:

- DirectoryResource

## Attributes description

The ServletDirectory defines no specific attributes.

Jigsaw Team
$Id: w3c.jigsaw.servlet.ServletDirectory.html,v 1.1 1997/01/09 16:31:26 abaird Exp $